POST License
Some tooltip text!
• 2 minutes to read
• 2 minutes to read
POST /api/v1/License
Load and activate a new license from file/string if the new license is valid.
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, text/plain, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: fileContent
Content of the license file as XML.
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: TimeZoneData
| Property Name | Type | Description |
|---|---|---|
| Reason | string | |
| CanBeActivated | bool | |
| New | TimeZoneData | |
| Current | TimeZoneData | |
| ExtendedModuleLicenses | array | |
| AccumulatedNextCheckDate | date-time |
Sample request
POST /api/v1/License
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"Reason": "streamline user-centric applications",
"CanBeActivated": false,
"New": null,
"Current": null,
"ExtendedModuleLicenses": [
{
"New": null,
"Current": null,
"NumberOfLicensesInUse": 708,
"NumberOfLicensesFree": 715,
"NumberOfLicensesAdded": 506,
"NumberOfLicensesNewTotal": 483,
"NumberOfLicensesNewFree": 985,
"NumberOfLicensesTotal": 589
}
],
"AccumulatedNextCheckDate": "2000-05-06T14:34:02.7439397+02:00"
}